commons-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bay...@apache.org
Subject svn commit: r930469 - /commons/proper/lang/trunk/src/site/xdoc/developerguide.xml
Date Sat, 03 Apr 2010 04:37:27 GMT
Author: bayard
Date: Sat Apr  3 04:37:26 2010
New Revision: 930469

URL: http://svn.apache.org/viewvc?rev=930469&view=rev
Log:
Minor 3.0 updates

Modified:
    commons/proper/lang/trunk/src/site/xdoc/developerguide.xml

Modified: commons/proper/lang/trunk/src/site/xdoc/developerguide.xml
URL: http://svn.apache.org/viewvc/commons/proper/lang/trunk/src/site/xdoc/developerguide.xml?rev=930469&r1=930468&r2=930469&view=diff
==============================================================================
--- commons/proper/lang/trunk/src/site/xdoc/developerguide.xml (original)
+++ commons/proper/lang/trunk/src/site/xdoc/developerguide.xml Sat Apr  3 04:37:26 2010
@@ -55,7 +55,7 @@ if possible.</p>
 <a name="PackageStructure"></a>
 <h3>2.  PACKAGE STRUCTURE</h3>
 
-<p>The main package for Lang is <code>org.apache.commons.lang</code>. Subpackages
should
+<p>The main package for Lang is <code>org.apache.commons.lang3</code>.
Subpackages should
 be created for each group of related items. </p>
 
 <p>Each package should have a <code>package.html</code> file for javadoc.
This should
@@ -135,30 +135,19 @@ This should be of the form 'Method will 
 <h4>Language used in code/comments</h4>
 <p>It has been decided to casually standardize on US-English.
 To avoid misplaced jeers of 'americanisation', the people making this decision largely write
in non-US-English.
-However, it's not something to get worked up about.
-Lots of spelling differences will creep in all over.</p>
+However, it's not something to get worked up about.  Lots of spelling differences will creep
in all over.</p>
 
 <a name="Building"></a>
 <h3>5.BUILDING</h3>
 <h4>Building a Release</h4>
 <p>
-Commons Lang is intended to interoperate with older versions of Java. To 
-achieve this, the distribution must be built with the minimum targetted JDK. Why? Over time
the 
-base JDK has changed. Building with a later JDK would make some things in Commons
-Lang not run with prior libraries. For example, new StringBuffer(StringBuffer) 
-was added after JDK1.2, but compiling under 1.4 could link to it. Run the code 
-under 1.2 and you get a NoSuchMethodError.
-</p>
-<p>
-The currently targetted version of Java is 1.3. 
+The currently targetted version of Java is 1.5. 
 </p>
 <p>
 To build Lang:
 <table>
 <tr><th></th><th>Tested JAR</th><th>Distribution</th><th>Site</th></tr>
-<tr><td>ANT 1.6+ (junit.jar in $ANT_HOME/lib)</td><td><code>ant
test</code></td><td><code>ant dist</code></td><td>n/a</td></tr>
-<tr><td>Maven 1.x</td><td><code>maven jar</code></td><td><code>maven
dist</code></td><td><code>maven site</code></td></tr>
-<tr><td>Maven 2.x</td><td><code>mvn package</code></td><td>n/a</td><td>n/a</td></tr>
+<tr><td>Maven 2.x</td><td><code>mvn package</code></td><td>mvn
assembly:assembly</td><td>mvn site</td></tr>
 </table>
 </p>
 </section>



Mime
View raw message